Upload init: create a Pending document row and return a
curl --request POST \
--url https://app.ontime.hosai.app/api/employees/{id}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"expiresAt": "<string>",
"description": "<string>"
}
'import requests
url = "https://app.ontime.hosai.app/api/employees/{id}/documents"
payload = {
"name": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"expiresAt": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
mimeType: '<string>',
sizeBytes: 123,
expiresAt: '<string>',
description: '<string>'
})
};
fetch('https://app.ontime.hosai.app/api/employees/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploadUrl": "<string>",
"storageKey": "<string>"
}Documents
Upload init: create a Pending document row and return a
Upload init: create a Pending document row and return a presigned PUT upload URL
POST
/
api
/
employees
/
{id}
/
documents
Upload init: create a Pending document row and return a
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Available options:
IdentityKYC, Onboarding, Education, Payroll, Medical, Performance, Other Minimum string length:
1Minimum string length:
1Required range:
x <= 9007199254740991